From e3afd910d3a02abe9d87911464a16bd67a8fdbbd Mon Sep 17 00:00:00 2001
From: Iain Sandoe <iain@codesourcery.com>
Date: Sun, 27 Jul 2014 20:35:16 +0100
Subject: [PATCH 1005/1008] Default to ppc7400 for OSX 10.5+

---
 lib/Driver/Tools.cpp | 3 +++
 1 file changed, 3 insertions(+)

diff --git llvm_release_38/tools/clang/lib/Driver/Tools.cpp macports_release_38/tools/clang/lib/Driver/Tools.cpp
index b39d117..9e8e58e 100644
--- llvm_release_38/tools/clang/lib/Driver/Tools.cpp
+++ macports_release_38/tools/clang/lib/Driver/Tools.cpp
@@ -1750,6 +1750,9 @@ static std::string getCPUName(const ArgList &Args, const llvm::Triple &T,
         TargetCPUName = "ppc64";
       else if (T.getArch() == llvm::Triple::ppc64le)
         TargetCPUName = "ppc64le";
+      else if (T.isOSDarwin() && !T.isMacOSXVersionLT(10,5))
+        // For 10.5+ Altivec is assumed available.
+        TargetCPUName = "7400";
       else
         TargetCPUName = "ppc";
     }
-- 
2.10.1

